API Reference
DashboardGet API keyAPI key

Getting started

  • Introduction
  • Authentication
  • Errors & rate limits

Voice agents

    • Overview
    • GETList agents
    • GETGet agent
    • POSTCreate agent
    • PATCHUpdate agent
    • DELDelete agent

WhatsApp agents

Workspace

Voice agentsAgents

Delete agent

Permanently deletes an agent. Its numbers stop routing to it immediately.

DELETE/v2/agents/{id}

Authorization

  • Authorizationstringheaderrequired

    Bearer authentication header of the form Bearer <api_key>, where <api_key> is a key from Account Settings → API keys in your dashboard.

Path parameters

  • idstring (uuid)required

    The agent's id.

Response

Confirmation of the deletion.

  • statusstring

    Always deleted.

  • idstring (uuid)

    The deleted agent's id.

Request
curl --request DELETE \
  --url 'https://api.tarangnow.com/v2/agents/3f6c2b1e-8a4d-4c5e-9b2a-1d7e6f8a9b0c' \
  --header 'Authorization: Bearer <api_key>'
Response
{
  "status": "deleted",
  "id": "3f6c2b1e-8a4d-4c5e-9b2a-1d7e6f8a9b0c"
}
PreviousUpdate agentNextAgent tools overview